@import url('https://fonts.googleapis.com/css?family=Lato&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@700&display=swap');

:root {

  --tinyprogs-bg-color: rgb(152,193,210);
  --tinyprogs-fg-color: rgb(2,54,70);
  --tinyprogs-card-bg-color: rgb(132,173,190);
  --tinyprogs-card-bg-color-hovered: rgb(102,143,160);

  --tinyprogs-header-bg-color: rgb(2,54,70);
  --tinyprogs-header-fg-color: rgb(152,193,210);
}

* {
  box-sizing: border-box;
}

body {
  background-color: var(--tinyprogs-bg-color);
  margin: 0;
  font-family: 'Lato', sans-serif;
}

table {
  border-collapse: collapse;
  text-align: center;
}
th {
  background-color: rgba(0,0,0,10%);
  padding:0 20px;
  border: 1px solid gray;
}
td {
  border: 1px solid gray;
}


/******************************  NAV Area ********************************/

.main-menu-btn-toggle{
  background-color: var(--tinyprogs-header-fg-color);
  border: 2px solid white;
  display:none;
  position: absolute;
  right: 1rem;
}

.main-menu-btn-toggle:hover {
  background-color:  white;
  border: 2px solid var(--tinyprogs-header-fg-color);
}

.main-nav-container {
  background-color: var(--tinyprogs-header-bg-color);
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.main-nav {
  background-color: var(--tinyprogs-header-bg-color);
  width: 90%;
  max-width: 1600px;
  padding: 10px;
  display: flex;
  justify-content: space-between;  
  align-items: center;
}

.main-nav a {
  color: inherit; 
  text-decoration:none; 
}

.main-nav .logo {
    padding-right: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.main-nav .logo img {
    height: 40px; 
    width: 40px;
}

.main-nav .logo span {
    color: var(--tinyprogs-header-fg-color);
    font-size: 1.5rem;
    font-weight: 700;
}

.main-nav-links {
  margin: 0;
  padding: 0;
  list-style-type: none;
  display: flex;
}
  
.main-nav-links li {
    padding: 5px 20px;
    border-radius: 10px;
    display: block;
}

.main-nav-links li:hover {
  background-color: blue;
}

.main-nav-links li a {
  color: var(--tinyprogs-header-fg-color);
  font-size: 1rem;
  text-decoration: none;
  display: block;
}

/*********************************  Small Screen NAV area   ***********************/
@media (max-width: 800px) {
  .main-menu-btn-toggle{
    display: inherit;
  }

  .main-nav{
    width: 100%;
    flex-direction: column;
    align-items: flex-start;
  }

  .main-nav-links {
    flex-direction: column;
    width: 100%;
    display: none;
  }

  .main-nav-links.show-links{
    display: flex;
  }
}

/*********************************  Main area   ***********************/

.tp-main {
    background-color: var(--tinyprogs-bg-color);
    width: 90%;
    margin: auto;
    max-width: 1600px;
    padding: 10px;
}

h1 {
  text-align: center;
}


/************************* Main area - small screen  ***********************/
@media (max-width: 800px) {
  .tp-main {
    width: 100%;
    padding:5px;
  }
}